
Infrastructure - Task #2931

Task # 2796 (Closed): ONEMercury changes requested

Improve 'email' button functionality and display

2012-06-13 20:37 - Skye Roseboom

Status: Closed Start date: 2012-06-13

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_mercury Estimated time: 0.00 hour

Target version: Sprint-2012.23-Block.3.4   

Milestone: CCI-1.0.1 Story Points:  

Product Version: *   

Description

Change the "Email" button on the detail view to read "Email Record Link".  Align "Email" button on detail view with other buttons on

top of page.

Improve the generated email body text to indicate what is being emailed, include document identifier:

"Document ID: XXXXX.

Link to view document: XXXX"

Similar improvement in email body text to the "Email Query" functionality on search results screen.

History

#1 - 2012-06-13 20:38 - Skye Roseboom

- Target version changed from Sprint-2012.29-Block.4.3 to Sprint-2012.23-Block.3.4

#2 - 2012-06-13 20:45 - Skye Roseboom

- Status changed from New to In Progress

#3 - 2012-06-14 22:45 - Skye Roseboom

- Milestone changed from CCI-1.0.0 to CCI-1.0.1

Addressed layout and button label issues.

Unable to create update regarding email body text as the desired info (PID) was not currently exposed on the jsp.  Will require update to

SolrClientController in mercury_common component.  Decided to leave this part of the issue unresolved until next minor release.

#4 - 2012-06-14 22:45 - Skye Roseboom

- Status changed from In Progress to Closed
